package org.springblade.modules.app.mapper;

import org.springblade.modules.app.common.dto.*;
import org.springblade.modules.app.common.query.StatBaseQuery;
import org.apache.ibatis.annotations.Param;
import org.springblade.modules.app.entity.VerifyStationDTO;

import java.util.List;

public interface StatReportMapper {

    StatHeatMapTopDTO statHeatMapTop(@Param("query") StatBaseQuery query);

    List<VerifyStationDTO> StatVerifyStationOrderNum(@Param("query") StatBaseQuery query);

    List<StatHeatMapMidDTO> statHeatMapMid(@Param("query") StatBaseQuery query);

    StatHeatMapFootDTO statHeatMapFoot(@Param("query") StatBaseQuery query);

    List<StatWaybillDTO> prepList(@Param("query") StatBaseQuery query);

    List<StatWaybillDTO> wayList(@Param("query") StatBaseQuery query);

    List<StatWaybillDTO> finishList(@Param("query") StatBaseQuery query);

    List<StatBySalerDTO> statBySaler(@Param("query") StatBaseQuery query);

    List<StatByAgentUserDTO> statByAgent(@Param("query") StatBaseQuery query);

    List<StatByBuyerDTO> statByBuyer(@Param("query") StatBaseQuery query);

    List<StatExpOrderDTO> statExpOrder(@Param("query") StatBaseQuery query);

    List<StatViolationDTO> statViolation(@Param("query") StatBaseQuery query);

    List<StatByBuyerDTO> statByBuyerHistory(@Param("query") StatBaseQuery query,@Param("list") List<Long> buyerUserIdList);

}
